GET
/api/gateway/v2/licensee/getcurrentGets licensee of the current logged in user.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/licensee/getcurrent"{ "id": 0, "address": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "code": "string", "domainName": "string", "latitude": 0, "longitude": 0, "name": "string"}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}GET
/api/gateway/v2/licensee/getbyidGets a licensee by id
Query Parameters
id*integer
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/licensee/getbyid?id=0"{ "id": 0, "address": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "code": "string", "domainName": "string", "latitude": 0, "longitude": 0, "name": "string"}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}GET
/api/gateway/v2/licensee/getbranchesGets all branches connected to the current Licensee
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/gateway/v2/licensee/getbranches"[ { "id": 0, "address": { "type": "UNKNOWN", "city": "string", "countryCode": "st", "emailAddress": "string", "name": "string", "phoneNumber": "string", "address": "string", "zip": "string", "extraAddressLine": "string", "extraAddressLine2": "string", "state": "string" }, "code": "string", "domainName": "string", "latitude": 0, "longitude": 0, "name": "string" }]{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "errors": { "property1": [ "string" ], "property2": [ "string" ] }, "property1": null, "property2": null}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "extensions": { "property1": null, "property2": null }, "property1": null, "property2": null}